summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-04-03 07:55:13 +0200
committerHans de Graaff <graaff@gentoo.org>2021-04-04 08:53:50 +0200
commit39a7ad7b112c2d0f86652d521e004ef64dbebbe4 (patch)
treed360f37d41f25874bc44cae7ed7b11087a6649ba
parentdev-ruby/i18n: cleanup (diff)
downloadgentoo-39a7ad7b112c2d0f86652d521e004ef64dbebbe4.tar.gz
gentoo-39a7ad7b112c2d0f86652d521e004ef64dbebbe4.tar.bz2
gentoo-39a7ad7b112c2d0f86652d521e004ef64dbebbe4.zip
dev-ruby/liquid: add 5.0.1
Package-Manager: Portage-3.0.17, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/liquid/Manifest1
-rw-r--r--dev-ruby/liquid/liquid-5.0.1.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-ruby/liquid/Manifest b/dev-ruby/liquid/Manifest
index 77d4365993c..4dd0d329de1 100644
--- a/dev-ruby/liquid/Manifest
+++ b/dev-ruby/liquid/Manifest
@@ -1,2 +1,3 @@
DIST liquid-4.0.3.tar.gz 102242 BLAKE2B 4a025fd8501e237f7619ed989e185a6c55a234577c99423857a826b616c40625c1fd205d998a368488306a88c0b84fc3d3ac59bd01c1231055aa9f60a3d14338 SHA512 5aed3b98fa486a00744e0225f7a3b8004be8ded1e3347f9118fd062684fe33b725b84d1f88bdd5e881399e6efa60b4aa32f57cf10f4583aa27ec8c8288b52bf9
DIST liquid-5.0.0.tar.gz 119166 BLAKE2B 429811adde3aad74c354eb9e129a0cef9c994839881246c9bfd06a9283e65eaa8b7786ff0d6cebdadf7363a9f2f67959b12b57d39bdc4343823116d3e81849de SHA512 77179bfb764a947bc3da0eab2963f951b189414ca01633b3817196d1267f8b098aba8c2ab1ce3129f8ae5a95fa8b39ad60940736a0f89f9ecd1a14b46d7d62b4
+DIST liquid-5.0.1.tar.gz 115523 BLAKE2B 52194481aef296785812a76979ee215e5adffbb73c4dd80de8f8dfb6995757d22a698a6acb950281f69cec32c2c06ba51fe273ba54c7454f308f5547faa9e1cf SHA512 e82fe4b67c338ef2e13652d2c5ba5d52e968c368aff724516a8ed2c157d149441fe73c66be866c0283fbd3472aeb83fec710f77afa1a92dca3206b5c8059ccf4
diff --git a/dev-ruby/liquid/liquid-5.0.1.ebuild b/dev-ruby/liquid/liquid-5.0.1.ebuild
new file mode 100644
index 00000000000..9b9aa14a586
--- /dev/null
+++ b/dev-ruby/liquid/liquid-5.0.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="History.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="liquid.gemspec"
+
+inherit ruby-fakegem
+
+SRC_URI="https://github.com/Shopify/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+DESCRIPTION="Template engine for Ruby"
+HOMEPAGE="https://shopify.github.io/liquid/"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # liquid-c is not packaged
+ sed -i -e '/LIQUID_C/ s:^:#:' Rakefile || die
+
+ # Avoid test requiring unpackaged stackprof
+ sed -i -e '/assert_no_object_allocations/askip "unpackaged stackprof"' test/integration/context_test.rb || die
+}